Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class _NamingContextExtStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CosNaming._NamingContextExtStub

All Implemented Interfaces:
  IDLEntity, NamingContext, NamingContextExt, NamingContextExtOperations, NamingContextOperations, Object, Serializable

public class _NamingContextExtStub
extends ObjectImpl
implements NamingContextExt

`NamingContextExt` is the extension of `NamingContext` which contains a set of name bindings in which each name is unique and is part of Interoperable Naming Service. Different names can be bound to an object in the same or different contexts at the same time. Using `NamingContextExt`, you can use URL-based names to bind and resolve.

See CORBA COS Naming Specification.

Constructor Summary
`_NamingContextExtStub()`

Method Summary
`String[]` | `_ids()` Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object.
`void` | `bind_context(NameComponent[] n, NamingContext nc)` Names an object that is a naming context.
`NamingContext` | `bind_new_context(NameComponent[] n)` This operation creates a new context and binds it to the name supplied as an argument.
`void` | `bind(NameComponent[] n, Object obj)` Creates a binding of a name and an object in the naming context.
`void` | `destroy()` The destroy operation deletes a naming context.
`void` | `list(int how_many, BindingListHolder bl, BindingIteratorHolder bi)` The list operation allows a client to iterate through a set of bindings in a naming context.
`NamingContext` | `new_context()` This operation returns a naming context implemented by the same naming server as the context on which the operation was invoked.
`void` | `rebind_context(NameComponent[] n, NamingContext nc)` Creates a binding of a name and a naming context in the naming context even if the name is already bound in the context.
`void` | `rebind(NameComponent[] n, Object obj)` Creates a binding of a name and an object in the naming context even if the name is already bound in the context.
`Object` | `resolve_str(String sn)` This operation resolves the Stringified name into the object reference.
`Object` | `resolve(NameComponent[] n)` The resolve operation is the process of retrieving an object bound to a name in a given context.
`NameComponent[]` | `to_name(String sn)` This operation converts a Stringified Name into an equivalent array of Name Components.
`String` | `to_string(NameComponent[] n)` This operation creates a stringified name from the array of Name components.
`String` | `to_url(String addr, String sn)` This operation creates a URL based "iiopname://" format name from the Stringified Name of the object.
`void` | `unbind(NameComponent[] n)` The unbind operation removes a name binding from a context.

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _NamingContextExtStub

    public _NamingContextExtStub()

Method Detail

### to_string

    public String to_string(NameComponent[] n)
                     throws InvalidName

  This operation creates a stringified name from the array of Name components.

  Specified by:
    `to_string` in interface `NamingContextExtOperations`
  Parameters:
    `n` - Name of the object

  Throws:
    `org.omg.CosNaming.NamingContextExtPackage.InvalidName` - Indicates the name does not identify a binding.

    `InvalidName`

### to_name

    public NameComponent[] to_name(String sn)
                            throws InvalidName

  This operation converts a Stringified Name into an equivalent array of Name Components.

  Specified by:
    `to_name` in interface `NamingContextExtOperations`
  Parameters:
    `sn` - Stringified Name of the object

  Throws:
    `org.omg.CosNaming.NamingContextExtPackage.InvalidName` - Indicates the name does not identify a binding.

    `InvalidName`

### to_url

    public String to_url(String addr,
                         String sn)
                  throws InvalidAddress,
                         InvalidName

  This operation creates a URL based "iiopname://" format name from the Stringified Name of the object.

  Specified by:
    `to_url` in interface `NamingContextExtOperations`
  Parameters:
    `addr` - internet based address of the host machine where Name Service is running

    `sn` - Stringified Name of the object

  Throws:
    `org.omg.CosNaming.NamingContextExtPackage.InvalidName` - Indicates the name does not identify a binding.

    `org.omg.CosNaming.NamingContextPackage.InvalidAddress` - Indicates the internet based address of the host machine is incorrect

    `InvalidAddress`
    `InvalidName`

### resolve_str

    public Object resolve_str(String sn)
                       throws NotFound,
                              CannotProceed,
                              InvalidName

  This operation resolves the Stringified name into the object reference.

  Specified by:
    `resolve_str` in interface `NamingContextExtOperations`
  Parameters:
    `sn` - Stringified Name of the object

  Throws:
    `NotFound` - Indicates there is no object reference for the given name.

    `CannotProceed` - Indicates that the given compound name is incorrect

    `org.omg.CosNaming.NamingContextExtPackage.InvalidName` - Indicates the name does not identify a binding.

    `InvalidName`

### bind

    public void bind(NameComponent[] n,
                     Object obj)
              throws NotFound,
                     CannotProceed,
                     InvalidName,
                     AlreadyBound

  Creates a binding of a name and an object in the naming context. Naming contexts that are bound using bind do not participate in name resolution when compound names are passed to be resolved.

  Specified by:
    `bind` in interface `NamingContextOperations`
  Parameters:
    `n` - Name of the object

    `obj` - The Object to bind with the given name

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

    `AlreadyBound` - Indicates an object is already bound to the specified name.

### bind_context

    public void bind_context(NameComponent[] n,
                             NamingContext nc)
                      throws NotFound,
                             CannotProceed,
                             InvalidName,
                             AlreadyBound

  Names an object that is a naming context. Naming contexts that are bound using bind_context() participate in name resolution when compound names are passed to be resolved.

  Specified by:
    `bind_context` in interface `NamingContextOperations`
  Parameters:
    `n` - Name of the object

    `nc` - NamingContect object to bind with the given name

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

    `AlreadyBound` - Indicates an object is already bound to the specified name.

### rebind

    public void rebind(NameComponent[] n,
                       Object obj)
                throws NotFound,
                       CannotProceed,
                       InvalidName

  Creates a binding of a name and an object in the naming context even if the name is already bound in the context. Naming contexts that are bound using rebind do not participate in name resolution when compound names are passed to be resolved.

  Specified by:
    `rebind` in interface `NamingContextOperations`
  Parameters:
    `n` - Name of the object

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

### rebind_context

    public void rebind_context(NameComponent[] n,
                               NamingContext nc)
                        throws NotFound,
                               CannotProceed,
                               InvalidName

  Creates a binding of a name and a naming context in the naming context even if the name is already bound in the context. Naming contexts that are bound using rebind_context() participate in name resolution when compound names are passed to be resolved.

  Specified by:
    `rebind_context` in interface `NamingContextOperations`
  Parameters:
    `n` - Name of the object

    `nc` - NamingContect object to rebind with the given name

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

### resolve

    public Object resolve(NameComponent[] n)
                   throws NotFound,
                          CannotProceed,
                          InvalidName

  The resolve operation is the process of retrieving an object bound to a name in a given context. The given name must exactly match the bound name. The naming service does not return the type of the object. Clients are responsible for "narrowing" the object to the appropriate type. That is, clients typically cast the returned object from Object to a more specialized interface.

  Specified by:
    `resolve` in interface `NamingContextOperations`
  Parameters:
    `n` - Name of the object

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

### unbind

    public void unbind(NameComponent[] n)
                throws NotFound,
                       CannotProceed,
                       InvalidName

  The unbind operation removes a name binding from a context.

  Specified by:
    `unbind` in interface `NamingContextOperations`
  Parameters:
    `n` - Name of the object

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

### list

    public void list(int how_many,
                     BindingListHolder bl,
                     BindingIteratorHolder bi)

  The list operation allows a client to iterate through a set of bindings in a naming context.

  The list operation returns at most the requested number of bindings in BindingList bl.

  - If the naming context contains additional bindings, the list operation returns a BindingIterator with the additional bindings.
  - If the naming context does not contain additional bindings, the binding iterator is a nil object reference.

  Specified by:
    `list` in interface `NamingContextOperations`
  Parameters:
    `how_many` - the maximum number of bindings to return

    `bl` - the returned list of bindings

    `bi` - the returned binding iterator

### new_context

    public NamingContext new_context()

  This operation returns a naming context implemented by the same naming server as the context on which the operation was invoked. The new context is not bound to any name.

  Specified by:
    `new_context` in interface `NamingContextOperations`

### bind_new_context

    public NamingContext bind_new_context(NameComponent[] n)
                                   throws NotFound,
                                          AlreadyBound,
                                          CannotProceed,
                                          InvalidName

  This operation creates a new context and binds it to the name supplied as an argument. The newly-created context is implemented by the same naming server as the context in which it was bound (that is, the naming server that implements the context denoted by the name argument excluding the last component).

  Specified by:
    `bind_new_context` in interface `NamingContextOperations`
  Parameters:
    `n` - Name of the object

  Throws:
    `NotFound` - Indicates the name does not identify a binding.

    `AlreadyBound` - Indicates an object is already bound to the specified name.

    `CannotProceed` - Indicates that the implementation has given up for some reason. The client, however, may be able to continue the operation at the returned naming context.

    `InvalidName` - Indicates that the name is invalid.

### destroy

    public void destroy()
                 throws NotEmpty

  The destroy operation deletes a naming context. If the naming context contains bindings, the NotEmpty exception is raised.

  Specified by:
    `destroy` in interface `NamingContextOperations`
  Throws:
    `NotEmpty` - Indicates that the Naming Context contains bindings.

### _ids

    public String[] _ids()

  Description copied from class: `ObjectImpl`
  Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object. For example, for a stub, this method returns information about all the interfaces supported by the stub.

  Specified by:
    `_ids` in class `ObjectImpl`
  Returns:
    the array of all repository identifiers supported by this `ObjectImpl` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.